Bug 239310 - databases/xtrabackup: fix build on GCC architectures
Summary: databases/xtrabackup: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-19 17:02 UTC by Piotr Kubaj
Modified: 2019-08-24 12:40 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (aleks)


Attachments
patch (1.16 KB, patch)
2019-07-19 17:02 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (aleks)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-07-19 17:02:23 UTC
Created attachment 205901 [details]
patch

Patch this port similarly to other mysql/mariadb/percona ports - make GCC a valid compiler.

GCC architectures need this.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-08-01 00:50:35 UTC
This builds for me on both amd64 and powerpc64.  So, approved, once/if maintainer times out.
Comment 2 commit-hook freebsd_committer 2019-08-24 12:40:35 UTC
A commit references this bug:

Author: pkubaj
Date: Sat Aug 24 12:40:26 UTC 2019
New revision: 509721
URL: https://svnweb.freebsd.org/changeset/ports/509721

Log:
  databases/xtrabackup: fix build on GCC architectures

  Patch this port similarly to other mysql/mariadb/percona ports - make GCC a valid compiler.

  PR:		239310
  Approved by:	aleks@twindb.com (maintainer timeout), linimon (mentor)

Changes:
  head/databases/xtrabackup/files/patch-cmake_os_FreeBSD.cmake